# Interactive IRC bot for icinga

## Configuration

The bot use two configuration files:

* `conf.toml` that configure the icinga servers to contact and the primary IRC channel.
* `irc.toml` that configure the connection to IRC (see [doc of `irc` crate](https://docs.rs/irc/latest/irc/client/data/config/struct.Config.html)).

## Commands

* `.ack <host|host!service|host!service!hoster> <comment>` acknowledge a problem,
* `.ackexp <host|host!service|host!service!hoster> <N><s|m|h|w> <comment>` acknowledge a problem for `N` seconds, minutes, hours or weeks,
* `.dt <host|host!service|host!service!hoster> <N><s|m|h|w> <comment>` downtime an host or service for `N` seconds, minutes, hours or weeks,
* `.com <host|host!service|host!service!hoster> <comment>` add a comment,
* `.rm <host|host!service|host!service!hoster>` remove acknowledgements and downtimes from an host or service,
* `.notif <bool>` enable or disable icinga notifications,
* `.hl` define who should be warned of problems.
